
(import duck-extract)

(define-syntax gen-duck
  (syntax-rules ()
    ((_ fname title abstract mod ...)
     (begin
       (import mod ...)
       (with-output-to-file fname
	 (lambda ()
	   (print "# " title)
	   (newline)
	   (print abstract)
	   (let ()
	     (newline)
	     (print-module-duck mod))
	   ...
	   ))))))

(gen-duck "doc/d-utils.md"
	  "Utility modules"
	  "These are various utility modules for other HackerBase libraries."
	  util-time
	  util-csv
	  util-git
	  util-io
	  util-stdout
	  util-parser
	  util-list
	  util-proc
	  util-format
	  util-tag
	  util-string
	  util-mail
	  )
